﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartGettingStarted
{
    public class ChartSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> Datas { get; set; }

        Button button;
        public bool SeriesVisibility { get; set; }

        StackLayout stackLayout;

        DoughnutSeries doughnutSeries;

        SfChart chart;

        public ChartSample()
        {

            stackLayout = new StackLayout();
            stackLayout.VerticalOptions = LayoutOptions.FillAndExpand;

            chart = new SfChart();
            chart.HorizontalOptions = LayoutOptions.FillAndExpand;
            chart.VerticalOptions = LayoutOptions.FillAndExpand;

            chart.Legend = new ChartLegend();
            chart.Legend.ToggleSeriesVisibility = true;
            chart.Title.Text = "ChartSample";

            button = new Button();
            button.Text = "Click Me";
            button.Clicked += Button_Clicked;

            Datas = new ObservableCollection<ChartDataPoint>();
            Datas.Add(new ChartDataPoint(new DateTime(2016, 12, 25, 01, 00, 00), 88));
            Datas.Add(new ChartDataPoint(new DateTime(2016, 12, 25, 02, 00, 00), 38));
            Datas.Add(new ChartDataPoint(new DateTime(2016, 12, 25, 03, 00, 00), 62));
            Datas.Add(new ChartDataPoint(new DateTime(2016, 12, 25, 04, 00, 00), 73));
            Datas.Add(new ChartDataPoint(new DateTime(2016, 12, 25, 05, 00, 00), 59));

            doughnutSeries = new DoughnutSeries();
            doughnutSeries.EnableDataPointSelection = true;
            doughnutSeries.ItemsSource = Datas;
            chart.Series.Add(doughnutSeries);

            stackLayout.Children.Add(button);
            stackLayout.Children.Add(chart);

            Content = stackLayout;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            SeriesVisibility = DependencyService.Get<IChartDependencyService>().isVisible(chart);
            DisplayAlert("IsVisible", SeriesVisibility.ToString(), "OK");
        }
    }
}
